Read a leaderboard scan as it stands: waiting, running, being scored, or ended with its score
curl --request GET \
--url https://api.agentrail.co/v1/leaderboard/scans/{scanId}import requests
url = "https://api.agentrail.co/v1/leaderboard/scans/{scanId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentrail.co/v1/leaderboard/scans/{scanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentrail.co/v1/leaderboard/scans/{scanId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentrail.co/v1/leaderboard/scans/{scanId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentrail.co/v1/leaderboard/scans/{scanId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentrail.co/v1/leaderboard/scans/{scanId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "waiting",
"ending": "finished",
"cause": "<string>",
"domain": "<string>",
"score": 50,
"grade": "A+",
"endedAt": "2023-11-07T05:31:56Z",
"events": [
{
"step": "waiting",
"at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Leaderboard
Read a leaderboard scan as it stands: waiting, running, being scored, or ended with its score
GET
/
v1
/
leaderboard
/
scans
/
{scanId}
Read a leaderboard scan as it stands: waiting, running, being scored, or ended with its score
curl --request GET \
--url https://api.agentrail.co/v1/leaderboard/scans/{scanId}import requests
url = "https://api.agentrail.co/v1/leaderboard/scans/{scanId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentrail.co/v1/leaderboard/scans/{scanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentrail.co/v1/leaderboard/scans/{scanId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentrail.co/v1/leaderboard/scans/{scanId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentrail.co/v1/leaderboard/scans/{scanId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentrail.co/v1/leaderboard/scans/{scanId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "waiting",
"ending": "finished",
"cause": "<string>",
"domain": "<string>",
"score": 50,
"grade": "A+",
"endedAt": "2023-11-07T05:31:56Z",
"events": [
{
"step": "waiting",
"at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Response
Default Response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
waiting, running, scoring, ended Available options:
finished, failed, interrupted, sign_in_required Minimum string length:
1Minimum string length:
1Required range:
0 <= x <= 100Available options:
A+, A, B, C, D, F Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Show child attributes
Show child attributes